UiPath Documentation
automation-suite
2024.10
false
Automation Suite API guide
  • Getting started
    • About this guide
    • Available resources
    • API endpoint URL structure
    • Enumeration list
  • Authentication
  • Scopes and permissions
  • Platform Management APIs

Get message template

API endpoint for retrieving a specific message template by template ID in Automation Suite.

Returns a message template, based on the template ID.

API endpoint​

GET https://{yourDomain}/{organizationName}/identity_/api/MessageTemplate/{templateId}

Scopes​

Requires the following scopes:

  • PM.MessageTemplate
  • PM.MessageTemplate.Read

Request headers​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'

Path parameters​

ParameterData typeDescription
templateIdStringRequired.
The ID of message template you want to retrieve.

Responses​

200 OK​

Returns the message template information, such as message ID, the message title, and the content.

{
  "id": 0,
  "name": "string",
  "value": "string"
}
{
  "id": 0,
  "name": "string",
  "value": "string"
}
  • API endpoint​
  • Scopes​
  • Request headers​
  • Path parameters​
  • Responses​
  • 200 OK​

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated